#pragma once

#ifndef GPIO_H
#define GPIO_H

#include "stdtypes.h"

void fnGPIO_Initialize(NRF_GPIO_Type * const p_reg);

void fnGPIO_InitializeAsDefaultActiveLowInputPin(const uint32_t pin);
void fnGPIO_InitializeAsDefaultActiveHighInputPin(const uint32_t pin);
void fnGPIO_InitializeAsDefaultOutputPin(const uint32_t pin);

void fnGPIO_SetPin(const uint32_t pin);
void fnGPIO_ClearPin(const uint32_t pin);
void fnGPIO_SetPins(const uint32_t mask);
bool fnGPIO_IsInputPinActive(const uint32_t pin);

#endif
