#include "init_sys.h"
#include "hw.h"
#include "gpio.h"

void fnInitSys_Initialize(NRF_GPIO_Type * const pGpioRegister)
{
    fnGPIO_Initialize(pGpioRegister);

    fnGPIO_InitializeAsDefaultOutputPin(BT_DTR_PIN_NUMBER);
    fnGPIO_InitializeAsDefaultActiveLowInputPin(BT_DSR_PIN_NUMBER);

    fnGPIO_SetPins(BIT_MASK(BT_RTS_PIN_NUMBER) | BIT_MASK(BT_TX_PIN_NUMBER));

    fnGPIO_InitializeAsDefaultOutputPin(BT_RTS_PIN_NUMBER);
    fnGPIO_InitializeAsDefaultOutputPin(BT_TX_PIN_NUMBER);
    fnGPIO_InitializeAsDefaultActiveLowInputPin(BT_CTS_PIN_NUMBER);
    fnGPIO_InitializeAsDefaultActiveLowInputPin(BT_RX_PIN_NUMBER);
}