#pragma once
#ifndef CLOCK_H
#define CLOCK_H

#include "stdtypes.h"
#include "sd_abstraction.h"

void fnClock_Initialise(NRF_CLOCK_Type * const pClock, CoreDebug_Type * const pCoreDebug, DWT_Type * const pDwt);
void fnClock_StartLF(void);
void fnClock_Delay_us(uint32_t delay_us);

extern nrf_clock_lf_cfg_t const clock_lf_cfg;

#endif // CLOCK_H
