#pragma once
#ifndef RTPS_H
#define RTPS_H

#include "stdtypes.h"

typedef void(*ble_rtps_data_handler_t) (uint8_t const * p_data, uint16_t length);

void fnRtps_Initialize(const ble_rtps_data_handler_t gfpDataHandler);

bool fnRtps_IsConnected(void);

bool fnRtps_CanWrite(void);
bool fnRtps_Write(const uint8_t * const p_data, uint16_t length);

void fnRtps_DiscoverServices();
void fnRtps_EnableNotifications();
#endif // RTPS_H
